
<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link href="https://fonts.googleapis.com/css?family=Roboto:300,400&display=swap" rel="stylesheet">

    <link rel="stylesheet" href="<?php echo e(asset('login/fonts/icomoon/style.css')); ?>">

    <link rel="stylesheet" href="<?php echo e(asset('login/css/owl.carousel.min.css')); ?>">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="<?php echo e(asset('login/css/bootstrap.min.css')); ?>">

    <!-- Style -->
    <link rel="stylesheet" href="<?php echo e(asset('login/css/style.css')); ?>">

    <title>Login</title>
</head>

<body>



    <div class="content">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-6 contents">
                    <div class="row justify-content-center">
                        <a href="https://wiseplix.com/" class="text-center">
                            <img src="https://wiseplix.com/images/logo/wiseplix-logo.png" alt="WisePlix" height="50px" width="200px" class="mb-4">
                          </a>
                        <div class="col-md-12">
                            <div class="form-block">
                                <div class="mb-4">
                                    <h3>Sign In to <strong>WisePlix</strong></h3>

                                </div>
                                <?php if($errors->has('email')): ?>
                                    <span class="invalid feedback text-danger mt-2" role="alert">
                                        <strong><?php echo e($errors->first('email')); ?>.</strong>
                                    </span>
                                <?php endif; ?>
                                <form method="POST" action="<?php echo e(route('login')); ?>">
                                    <?php echo csrf_field(); ?>
                                    <div class="form-group first">
                                        <label for="username">Email Address</label>
                                        <input class="form-control" type="email" name="email">
                                    </div>
                                    <div class="form-group last mb-4">
                                        <label for="password">Password</label>
                                        <input type="password" class="form-control" id="password" name="password">
                                    </div>
                                    <div class="d-flex mb-5 align-items-center">
                                        <label class="control control--checkbox mb-0"><span class="caption">Remember
                                                me</span>
                                            <input type="checkbox" checked="checked" name="remember" />
                                            <div class="control__indicator"></div>
                                        </label>
                                    </div>

                                    <input type="submit" value="Log In"
                                        class="btn btn-pill text-white btn-block btn-primary">
                                </form>
                                <div class="d-flex mt-5 align-items-center">
                                    <span class="caption">Don't have an account?</span>
                                    <span class="ml-auto"><a href="<?php echo e(route('register')); ?>" class="forgot-pass">Register
                                            Here</a></span>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>

            </div>
        </div>
    </div>
    <script src="<?php echo e(asset('login/js/jquery-3.3.1.min.js')); ?>"></script>
    <script src="<?php echo e(asset('login/js/popper.min.js')); ?>"></script>
    <script src="<?php echo e(asset('login/js/bootstrap.min.js')); ?>"></script>
    <script src="<?php echo e(asset('login/js/main.js')); ?>"></script>
</body>

</html>
<?php /**PATH E:\laragon\www\wiseplix\resources\views/auth/login.blade.php ENDPATH**/ ?>