
<?php $__env->startSection('admin'); ?>
    <div class="page-content">
        <div class="container-fluid">

            <!-- start page title -->
            <div class="row">
                <div class="col-12">
                    <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                        

                        <div class="page-title-right">
                            <ol class="breadcrumb m-0">
                                <li class="breadcrumb-item"><a href="javascript: void(0);"> Options</a></li>
                                <li class="breadcrumb-item active">All Options</li>
                            </ol>
                        </div>

                    </div>
                </div>
            </div>
            <!-- end page title -->
            <?php if($errors->any()): ?>
                <div class="alert alert-danger">
                    <ul>
                        <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li><?php echo e($error); ?></li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>
                </div>
            <?php endif; ?>
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <a href="<?php echo e(route('add.question.option', $question['id'])); ?>" class="btn btn-primary my-3">Add More Options</a>
                            <table id="datatable" class="table table-bordered dt-responsive nowrap"
                                style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                <thead>
                                    <tr>
                                        <th>Sl No</th>
                                        <th>Options</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>

                                    

                                    <?php $__currentLoopData = $options; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <td><?php echo e($key + 1); ?></td>
                                            <td><?php echo e($item['title']); ?></td>
                                            <td>
                                                <button type="button" class="btn btn-warning" data-bs-toggle="modal" data-bs-target="#editOptionModal" data-bs-id="<?php echo e($item['id']); ?>">Edit</button>

                                                <a href="#" class="btn btn-danger btn-delete" onclick="event.preventDefault(); deleteOption(<?php echo e($item['id']); ?>);">Delete</a>

                                                <form id="delete-form-<?php echo e($item['id']); ?>" action="<?php echo e(route('option.delete', $item['id'])); ?>" method="POST" style="display: none;">
                                                    <?php echo csrf_field(); ?>
                                                    <?php echo method_field('DELETE'); ?>
                                                </form>

                                                <script>
                                                    function deleteOption(optionId) {
                                                        if (confirm('Are you sure you want to delete this option?')) {
                                                            document.getElementById('delete-form-' + optionId).submit();
                                                        }
                                                    }
                                                </script>

                                            </td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div> <!-- end col -->
            </div> <!-- end row -->


        </div> <!-- container-fluid -->

        

        <div class="modal fade" id="editOptionModal" tabindex="-1" aria-labelledby="editOptionModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="editOptionModalLabel">Update Option</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <form method="POST" action="#" enctype="multipart/form-data">
                            <?php echo csrf_field(); ?>
                            <?php echo method_field('patch'); ?>

                            <div class="mb-3">
                                <label for="title" class="col-form-label">Option</label>
                                <input type="text" class="form-control" name="title" id="title">
                            </div>

                            <button class="btn btn-dark" type="submit">Update</button>

                        </form>
                    </div>
                </div>
            </div>
        </div>



    </div>
    <!-- End Page-content -->



    
    <script>
        document.addEventListener('DOMContentLoaded', function() {
            var editModal = document.getElementById('editOptionModal');

            editModal.addEventListener('show.bs.modal', function (event) {
                // Button that triggered the modal
                var button = event.relatedTarget;
                // Extract info from data-bs-* attributes
                var id = button.getAttribute('data-bs-id');

                // Update the modal's content.
                var modalTitle = editModal.querySelector('.modal-title');
                var modalForm = editModal.querySelector('.modal-body form');
                var modalBodyInput = editModal.querySelector('.modal-body input[name="title"]');

                // AJAX request to fetch option details
                fetch(`/admin/option/${id}`)
                    .then(response => response.json())
                    .then(data => {
                        modalTitle.textContent = 'Update Option ID: ' + id;
                        modalBodyInput.value = data.title;
                        modalForm.action = `/admin/option/${id}/update`;
                    })
                    .catch(error => console.error('Error fetching option details:', error));
            });
        });
    </script>


<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.admin_dashboard', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\laragon\www\wiseplix\resources\views/admin/questions/option.blade.php ENDPATH**/ ?>