
<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link href="https://fonts.googleapis.com/css?family=Roboto:300,400&display=swap" rel="stylesheet">

    <link rel="stylesheet" href="<?php echo e(asset('login/fonts/icomoon/style.css')); ?>">

    <link rel="stylesheet" href="<?php echo e(asset('login/css/owl.carousel.min.css')); ?>">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="<?php echo e(asset('login/css/bootstrap.min.css')); ?>">

    <!-- Style -->
    <link rel="stylesheet" href="<?php echo e(asset('login/css/style.css')); ?>">

    <title>Register</title>
</head>

<body>



    <div class="content py-5">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-6 contents">
                    <div class="row justify-content-center">
                        <a href="https://wiseplix.com/" class="text-center">
                            <img src="<?php echo e(asset('images/logo/wiseplix-logo.png')); ?>" alt="WisePlix" width="200px" class="mb-4">
                          </a>
                        <div class="col-md-12">
                            <div class="form-block">
                                <div class="mb-4">
                                    <h3>Sign Up to <strong>WisePlix</strong></h3>

                                </div>
                                <form method="POST" action="<?php echo e(route('register')); ?>">
                                    <?php echo csrf_field(); ?>
                                    <div class="form-group first">
                                        <label for="username">Name</label>
                                        <input class="form-control" type="text" name="name">
                                        <?php if($errors->has('name')): ?>
                                            <span class="invalid feedback text-danger mt-2" role="alert">
                                                <strong><?php echo e($errors->first('name')); ?>.</strong>
                                            </span>
                                        <?php endif; ?>
                                    </div>
                                    <div class="form-group first">
                                        <label for="username">Phone Number</label>
                                        <input class="form-control" type="tel" pattern="\d{10}" maxlength="10" name="mobile">
                                        <?php if($errors->has('mobile')): ?>
                                            <span class="invalid feedback text-danger mt-2" role="alert">
                                                <strong><?php echo e($errors->first('mobile')); ?>.</strong>
                                            </span>
                                        <?php endif; ?>
                                    </div>
                                    <div class="form-group first">
                                        <label for="username">Email Address</label>
                                        <input class="form-control" type="email" name="email">
                                        <?php if($errors->has('name')): ?>
                                            <span class="invalid feedback text-danger mt-2" role="alert">
                                                <strong><?php echo e($errors->first('name')); ?>.</strong>
                                            </span>
                                        <?php endif; ?>
                                    </div>
                                    <div class="form-group last mb-4">
                                        <label for="password">Password</label>
                                        <input type="password" class="form-control" id="password" name="password">
                                        <?php if($errors->has('password')): ?>
                                            <span class="invalid feedback text-danger mt-2" role="alert">
                                                <strong><?php echo e($errors->first('password')); ?>.</strong>
                                            </span>
                                        <?php endif; ?>
                                    </div>
                                    <div class="form-group last mb-4">
                                        <label for="password">Confirm Password</label>
                                        <input type="password" class="form-control" id="password" name="password_confirmation">
                                        <?php if($errors->has('password')): ?>
                                            <span class="invalid feedback text-danger mt-2" role="alert">
                                                <strong><?php echo e($errors->first('password')); ?>.</strong>
                                            </span>
                                        <?php endif; ?>
                                    </div>
                                    <div class="d-flex mb-5 align-items-center">
                                        <label class="control control--checkbox mb-0"><span class="caption">I've read and agree with your Privacy Policy and Terms & Conditions</span>
                                            <input type="checkbox" checked="checked" name="remember" />
                                            <div class="control__indicator"></div>
                                        </label>
                                    </div>

                                    <input type="submit" value="Register"
                                        class="btn btn-pill text-white btn-block btn-primary">
                                </form>
                                <div class="d-flex mt-5 align-items-center">
                                    <span class="caption">Already have an account?</span>
                                    <span class="ml-auto"><a href="<?php echo e(route('login')); ?>"
                                            class="forgot-pass">Sign Here</a></span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
    <script src="<?php echo e(asset('login/js/jquery-3.3.1.min.js')); ?>"></script>
    <script src="<?php echo e(asset('login/js/popper.min.js')); ?>"></script>
    <script src="<?php echo e(asset('login/js/bootstrap.min.js')); ?>"></script>
    <script src="<?php echo e(asset('login/js/main.js')); ?>"></script>
</body>

</html>
<?php /**PATH E:\laragon\www\wiseplix\resources\views/auth/register.blade.php ENDPATH**/ ?>